JUCE: SocketOptions Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SocketOptions Class Reference
juce_core » network

Options used for the configuration of the underlying system socket in the StreamingSocket and DatagramSocket classes. More...

`#include <juce_Socket.h>`

## Public Member Functions
SocketOptions | withReceiveBufferSize (int size) const
| The provided size will be used to configure the socket's SO_RCVBUF property.
SocketOptions | withSendBufferSize (int size) const
| The provided size will be used to configure the socket's SO_SNDBUF property.
auto | getReceiveBufferSize () const
auto | getSendBufferSize () const

## Detailed Description

Options used for the configuration of the underlying system socket in the StreamingSocket and DatagramSocket classes.

See also
  StreamingSocket, DatagramSocket

## Member Function Documentation

## ◆ withReceiveBufferSize()

SocketOptions SocketOptions::withReceiveBufferSize | ( | int | size | ) | const

The provided size will be used to configure the socket's SO_RCVBUF property.

Increasing the buffer size can reduce the number of lost packets with the DatagramSocket class, if the socket is to receive packets in large bursts.

If this property is not specified, the system default value will be used, but a minimum of 65536 will be ensured.

References withMember().

## ◆ withSendBufferSize()

SocketOptions SocketOptions::withSendBufferSize | ( | int | size | ) | const

The provided size will be used to configure the socket's SO_SNDBUF property.

If this property is not specified, the system default value will be used, but a minimum of 65536 will be ensured.

References withMember().

## ◆ getReceiveBufferSize()

auto SocketOptions::getReceiveBufferSize | ( |  | ) | const

See also
  withReceiveBufferSize()

## ◆ getSendBufferSize()

auto SocketOptions::getSendBufferSize | ( |  | ) | const

See also
  withSendBufferSize()

The documentation for this class was generated from the following file:

- juce_Socket.h